# coding: utf-8
import ui
from midiutil.MidiFile import MIDIFile
import sound
from datetime import datetime
import time
import speech

mid=sound.MIDIPlayer("sakura.mid")

youbi=["MON","TUE","WED","THU","FRI","SAT","SUN"]
aflag=0

t=datetime.now()
ahours=t.hour+1
if ahours>23:
	ahours=0
aminutes=int(t.minute/5+t.second/60)*5
if aminutes>55:
	aminutes=0
	ahours=ahours+1
	if ahours>23:
		ahours=0
		
fhours='{:02}'.format(ahours)
fminutes='{:02}'.format(aminutes)

said=0

def changeSwitch(sender):
	global aflag,ahours,aminutes,fhours,fminutes,said
	sw1=sender.superview['switch1']
	lbl2=sender.superview['label2']
	lbl5=sender.superview['label5']
	if sw1.value==True:
		lbl2.text='ALARM ON'
		lbl2.text_color='red'
		lbl5.text_color='red'
		aflag=1
		said=0
	else:
		lbl2.text='ALARM OFF'
		lbl2.text_color='black'
		lbl5.text_color='black'
		aflag=0
		said=1
		
def plusHours(sender):
	global aflag,ahours,aminutes,fhours,fminutes
	ahours=ahours+1
	if ahours>23: ahours=23
	fhours='{:02}'.format(ahours)

def minusHours(sender):
	global aflag,ahours,aminutes,fhours,fminutes
	ahours=ahours-1
	if ahours<0: ahours=0
	fhours='{:02}'.format(ahours)
	
def plusMinutes(sender):
	global aflag,ahours,aminutes,fhours,fminutes
	aminutes=aminutes+5
	if aminutes>55: aminutes=55
	fminutes='{:02}'.format(aminutes)
		
def minusMinutes(sender):
	global aflag,ahours,aminutes,fhours,fminutes
	aminutes=aminutes-5
	if aminutes<0: aminutes=0
	fminutes='{:02}'.format(aminutes)

v=ui.load_view()
v['imageview2'].image=ui.Image.named("fuji.jpg")
v.present('sheet')
		
try:
	while True:
		t=datetime.now()
		yy='{:02}'.format(t.year)
		mm='{:02}'.format(t.month)
		dd='{:02}'.format(t.day)		
		ymd=yy+'-'+mm+'-'+dd
		
		hours=t.hour
		minutes=t.minute
		seconds=t.second
		
		h='{:02}'.format(hours)
		m='{:02}'.format(minutes)
		s='{:02}'.format(seconds)
		w=youbi[t.weekday()]
		hmsw='-{0}:{1}:{2}-'.format(h,m,s)+w
		
		v['label1'].text=ymd+hmsw
		v['label5'].text='ALARM = '+fhours+':'+fminutes
		if said==0 and aflag==1 and hours==ahours and minutes==aminutes:
			speech.say('時間ですよ。')
			mid.play()
		if aflag==0 or hours!=ahours or minutes!=aminutes:
			mid.stop()
		time.sleep(1)
except:
	pass
	
	
